GIT-UPLOAD-PACK(1)

NAME
git-upload-pack - Send objects packed back to git-fetch-pack

SYNOPSIS

git-upload-pack [--[no-]strict] [--timeout=<n>] [--stateless-rpc]
                  [--advertise-refs] <directory>

DESCRIPTION

Invoked by git fetch-pack, learns what objects the other side is missing, and sends them after packing.

This command is usually not invoked directly by the end user. The UI for the protocol is on the git fetch-pack side, and the program pair is meant to be used to pull updates from a remote repository. For push operations, see git send-pack.

OPTIONS

--[no-]strict
    Do not try <directory>/.git/ if <directory> is no Git directory.

--timeout=<n>
    Interrupt transfer after <n> seconds of inactivity.

--stateless-rpc
    Perform only a single read-write cycle with stdin and stdout. This fits with the HTTP POST request processing model where a program may read the request, write a response, and must exit.

--http-backend-info-refs
    Used by git-http-backend(1) to serve up $GIT_URL/info/refs?service=git-upload-pack requests. See "Smart Clients" in the HTTP transfer protocols[1] documentation and "HTTP Transport" in the Git Wire Protocol, Version 2[2] documentation. Also understood by git-receive-pack(1).

<directory>
    The repository to sync from.

ENVIRONMENT

GIT_PROTOCOL
    Internal variable used for handshaking the wire protocol. Server admins may need to configure some transports to allow this variable to be passed. See the discussion in git(1).

SEE ALSO

gitnamespaces(7)

GIT

Part of the git(1) suite

NOTES

1.  the HTTP transfer protocols
    git-htmldocs/technical/http-protocol.html

2.  the Git Wire Protocol, Version 2
    git-htmldocs/technical/protocol-v2.html